Subject: Re: [BUG][bisected 270065e] linux-next fails to boot on powerpc

From: Michael Ellerman <[email-masked]>
Date: Thu, 17 Aug 2017 11:33:08 +1000

Bart Van Assche <[email-masked]> writes:

> On Wed, 2017-08-16 at 22:30 +0530, Abdul Haleem wrote:
>> As of next-20170809, linux-next on powerpc boot hung with below trace
>> message.
>> 
>> [ ... ]
>> 
>> A bisection resulted in first bad commit (270065e92 - scsi: scsi-mq:
>> Always unprepare ...) in the merge branch 'scsi/for-next'
>> 
>> System booted fine when the below commit is reverted: 
>> 
>> commit 270065e92c317845d69095ec8e3d18616b5b39d5
>> Author: Bart Van Assche <[email-masked]>
>> Date:   Thu Aug 3 14:40:14 2017 -0700
>> 
>>     scsi: scsi-mq: Always unprepare before requeuing a request
>
> Hello Brian and Michael,
>
> Do you agree that this probably indicates a bug in the PowerPC block driver
> that is used to access the boot disk?

I don't know a scsi device from a block device, so I'm not much help sorry.

It seems likely it is a powerpc specific bug, as it seems no one else
has reported any problems with this commit.

> Anyway, since a solution is not yet available, I will submit a revert
> for this patch.

Thanks. Sorry I haven't been able to debug it further, there's about 10
things on fire right now - ie. situation normal :)

cheers